<!-- <div class="small-container">
  <div class="row">
    <div class="col-3" *ngFor="let p of products$ | async">
      <mat-card style="text-align: center">
        <img mat-card-image src="{{ p.imageUrl }}" />
        <mat-card-title style="font-weight: 500">{{ p.title }}</mat-card-title>
        <mat-card-subtitle style="font-weight: 700; color: rgb(73, 68, 68)">{{
          p.category
        }}</mat-card-subtitle>
        <mat-card-subtitle>
          {{ p.price | currency: "INR":true }}
        </mat-card-subtitle>
        <mat-card-actions>
          <button mat-button class="btn btn-primary">Add to Cart</button>
        </mat-card-actions>
      </mat-card>
    </div>
  </div>
</div> -->

<!-- <div class="small-container">
  <div class="row">
    <ng-container *ngFor="let p of products$ | async; let i = index">
      <dic class="col">
        <div class="courses-container">
          <div class="course">
            <div class="course-preview">
              <img [src]="p.imageUrl" style="height: 200px" />
            </div>
            <div class="course-info">
              <h2>{{ p.title }}</h2>
              <h4>{{ p.category }}</h4>
              <p>{{ p.description }}</p>
              <div class="progress-container">
                <span class="progress-text">
                  {{ p.price | currency: "INR":true }}
                </span>
                <button class="btn btn-primary">Add to Cart</button>
              </div>
            </div>
          </div>
        </div>
      </dic>
      <div *ngIf="(i + 1) % 2 === 0" class="w-100"></div>
    </ng-container>
  </div>
</div> -->

<!-- <div class="small-container">
  <div class="row">
    <ng-container *ngFor="let p of products$ | async; let i = index">
      <div class="col">
        <mat-card class="example-card" style="margin-bottom: 30px">
          <img [src]="p.imageUrl" />
          <mat-card-content>
            <mat-card-title>{{ p.title }}</mat-card-title>
            <mat-card-subtitle>{{ p.category }}</mat-card-subtitle>
            <p>{{ p.description }}</p>
          </mat-card-content>
          <mat-card-actions>
            <button mat-button class="btn btn-primary">Add to Cart</button>
          </mat-card-actions>
        </mat-card>
      </div>
      <div *ngIf="(i + 1) % 2 === 0" class="w-100"></div>
    </ng-container>
  </div>
</div> -->

<mat-drawer-container class="example-container">
  <mat-drawer mode="side" opened>
    <product-filter [category]="category"></product-filter>
  </mat-drawer>

  <mat-drawer-content>
    <div class="small-container">
      <mat-grid-list cols="1" rowHeight="20rem">
        <mat-grid-tile *ngFor="let p of filteredProducts; let i = index">
          <mat-card class="example-card">
            <product-card [product]="p"></product-card>
          </mat-card>
        </mat-grid-tile>
      </mat-grid-list>
    </div>
  </mat-drawer-content>
</mat-drawer-container>
